Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface LoopTree

- All Superinterfaces:
    `StatementTree`, `Tree`
  All Known Subinterfaces:
    `ConditionalLoopTree`, `DoWhileLoopTree`, `ForInLoopTree`, `ForLoopTree`, `ForOfLoopTree`, `WhileLoopTree`

      public interface LoopTree
      extends StatementTree

  A mixin for "loop" statements.
  Since:
    9

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jdk.nashorn.api.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StatementTree` | `getStatement​()` | Returns the statement contained in this 'loop' statement.

    - ### Methods inherited from interface jdk.nashorn.api.tree.Tree

      `accept, getEndPosition, getKind, getStartPosition`

- - ### Method Detail

    - #### getStatement

          StatementTree getStatement​()

      Returns the statement contained in this 'loop' statement.
      Returns:
        the statement